Bug 2427 - Wrong collation for uk_UA locale
: Wrong collation for uk_UA locale
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-locales)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-25 16:20 by
Modified: 2005-09-29 16:18 (History)


Attachments
0002427-uk_UA.diff (1.29 KB, application/octet-stream)
2003-03-25 16:20, Valentyn Solomko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-25 16:20:57
Locale description for uk_UA locale is wrong. It\'s differ from ukrainian
alfabet
order. (see this document:
<a
href="http://www.un.org/depts/dhl/maplib/ungegn/session-17/working-papers/working-paper73.pdf">http://www.un.org/depts/dhl/maplib/ungegn/session-17/working-papers/working-paper73.pdf</a>)

run test suite that will be in additional with uk_UA.(KOI8-U|CP1251|UTF-8)
locale

Patch in attach
---

---
#!/usr/bin/perl -w

use strict;
use locale;
use POSIX;

$| = 1;

setlocale(LC_ALL, \&quot;uk_UA.KOI8-U\&quot;);
print join(\'\', +(sort grep /[[:alpha:]]/, map { chr } 0x20..255)),
\&quot;\\n\&quot;;
------- Comment #1 From 2004-02-25 22:54:21 -------
While preparing for glibc-2.3, it would be prudent to take this problem into
account, too.
------- Comment #2 From 2004-08-09 16:00:52 -------
Applied in upstream glibc-2.3.3 and later releases.